# Creating a new User Group Membership

Adds a user to a Workspace Group.
**Bulk Create**
This endpoint supports bulk creating up to 100 objects. In the request body, set the top-level key to its plural form and place the objects in an array. Example:

```
{
  "user_group_memberships": [
    {
      "user_id": 123,
      "workspace_group_id": 111
    },
    {
      "user_id": 456,
      "workspace_group_id": 111
    }
  ]
}
```
This endpoint returns structured User Group Membership objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the `results` array
and will be indexed by ID in the `user_group_memberships` top-level JSON key.
Please see our [Response Format](#section/Response-Format) section for more information.

Endpoint: POST /user_group_memberships
Version: 1.0.0

## Query parameters:

  - `include` (string)
    Any of the below associations can be included in your request by providing the `include` param, e.g. `include=association1,association2`.
- `user` (User) - Retrieves the associated user. The response will include `user_id`, which references the data in the `users` top-level key.
- `workspace_group` (WorkspaceGroup) - Retrieves the associated Workspace Group. The response will include `workspace_group_id`, which references the data in the `workspace_groups` top-level key.

## Request fields (application/json):

  - `user_group_membership` (object)

  - `user_group_membership.user_id` (integer, required)
    The ID of the user to add to the Workspace Group.

  - `user_group_membership.workspace_group_id` (integer, required)
    The ID of the Workspace Group to add the user to.

## Response 200 fields (application/json):

  - `count` (integer)

  - `meta` (object)

  - `meta.count` (integer)

  - `meta.page_count` (integer)

  - `meta.page_number` (integer)

  - `meta.page_size` (integer)

  - `results` (array)

  - `results.key` (string)

  - `results.id` (string)

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 401 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 403 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 404 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 422 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 503 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

